src/QuadrusMotorCompany.Web/Models/Vehicle/VehicleDetailsModel.cs
namespace QuadrusMotorCompany.Web.Models.Vehicle
{
    public class VehicleDetailsModel
    {
        public int Id { get; set; }
        public decimal Price { get; set; }
        public string Make { get; set; }
        public string Model { get; set; }
        public string Description { get; set; }
    }
}

src/QuadrusMotorCompany.Web/Controllers/GalleryController.cs
namespace QuadrusMotorCompany.Web.Controllers
{
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;
    using AutoMapper;
    using QuadrusMotorCompany.Web.Models;
    using QuadrusMotorCompany.Web.Models.Gallery;
    using QuadrusMotorCompany.Core;
    using QuadrusMotorCompany.Query;

    public class GalleryController : Controller
    {
        private readonly IMapper _mapper;
        private readonly IQueryBus _queryBus;

        public GalleryController(IMapper mapper, IQueryBus queryBus)
        {
            _mapper = mapper;
            _queryBus = queryBus;
        }

        [Route("~/gallery")]
        public ActionResult Index()
        {
            return View();
        }

        [Route("~/gallery/brands/{brandName}")]
        public ActionResult ByBrand(string brandName)
        {
            var vehicles = _queryBus.Query(new VehicleQuery(brandName));
            var model = _mapper.Map<IList<VehicleIndexModel>>(vehicles);

            ViewBag.SearchText = brandName;

            return View(model);
        }


        [Route("~/gallery/search/")]
        public ActionResult Search(string q)
        {
            var vehicles = _queryBus.Query(new VehicleSearchQuery(q));
            var model = _mapper.Map<IList<VehicleIndexModel>>(vehicles);
            
            ViewBag.SearchText = q;

            return View(model);
        }
    }
}

src/QuadrusMotorCompany.Web/Controllers/InventoryController.cs
namespace QuadrusMotorCompany.Web.Controllers
{
    using System.Collections.Generic;
    using System.Configuration;
    using System.IO;
    using System.Web;
    using System.Web.Mvc;

    using AutoMapper;

    using QuadrusMotorCompany.Command;
    using QuadrusMotorCompany.Core;
    using QuadrusMotorCompany.Query;
    using QuadrusMotorCompany.Web.Models.Inventory;

    [Authorize]
    public class InventoryController : Controller
    {
        private readonly IQueryBus _queryBus;
        private readonly IMapper _mapper;
        private readonly ICommandBus _commandBus;

        public InventoryController(IQueryBus queryBus, IMapper mapper, ICommandBus commandBus)
        {
            _queryBus = queryBus;
            _mapper = mapper;
            _commandBus = commandBus;
        }

        [Route("~/inventory/vehicle/add")]
        public ActionResult Add()
        {
            return View(new VehicleAddModel());
        }

        [HttpPost]
        [Route("~/inventory/vehicle/add")]
        public ActionResult Add(VehicleAddModel model)
        {
            if (ModelState.IsValid)
            {
                var vehicle = _mapper.Map<Vehicle>(model);

                var result = _commandBus.Execute(new AddVehicleCommand(vehicle));
                if (result.IsValid)
                {
                    var image = ReadBytes(model.ImagePath);

                    var root = ConfigurationManager.AppSettings["VehicleImagePathRoot"];
                    var path = Server.MapPath(Path.Combine(root, model.ImagePath.FileName));

                    System.IO.File.WriteAllBytes(path, image);

                    return RedirectToAction("Manage");
                }

                foreach (var error in result.Errors)
                {
                    ModelState.AddModelError(error.Property, error.Message);
                }
            }

            return View(model);
        }

        [Route("~/inventory/vehicle/{id}/delete")]
        public ActionResult Delete(int id)
        {
            _commandBus.Execute(new DeleteVehicleCommand(id));
            return RedirectToAction("Manage");
        }

        [Route("~/inventory/vehicle/{make}/{model}/edit")]
        public ActionResult Edit(string make, string model)
        {
            var vehicle = _queryBus.Query(new VehicleDetailsQuery(make.Replace("_", " "), model.Replace("_", " ")));
            var viewModel = _mapper.Map<VehicleEditModel>(vehicle);

            return View(viewModel);
        }

        [HttpPost]
        [Route("~/inventory/vehicle/{make}/{model}/edit")]
        public ActionResult Edit(string make, string model, VehicleEditModel viewModel)
        {
            //todo ensure that the mae and model match what the view model contains
            if (ModelState.IsValid)
            {
                var vehicle = _queryBus.Query(new VehicleDetailsQuery(make, model));
                _mapper.Map(viewModel, vehicle);

                _commandBus.Execute(new UpdateVehicleCommand(vehicle));
                return RedirectToAction("Manage");
            }

            return View(viewModel);
        }

        [Route("~/inventory/manage")]
        public ActionResult Manage()
        {
            var vehicles = _queryBus.Query(new VehicleQuery());
            var models = _mapper.Map<IList<VehicleInventoryViewModel>>(vehicles);

            return View(models);
        }

        private byte[] ReadBytes(HttpPostedFileBase file)
        {
            byte[] contents;

            using (var stream = new MemoryStream())
            {
                file.InputStream.CopyTo(stream);
                contents = stream.ToArray();
            }

            return contents;
        }
    }
}

src/QuadrusMotorCompany.Web/Controllers/VehicleController.cs
namespace QuadrusMotorCompany.Web.Controllers
{
    using System;
    using System.Collections.Generic;
    using System.Configuration;
    using System.Drawing;
    using System.Drawing.Imaging;
    using System.IO;
    using System.Web.Mvc;

    using AutoMapper;

    using QuadrusMotorCompany.Core;
    using QuadrusMotorCompany.Query;
    using QuadrusMotorCompany.Web.Models.Gallery;
    using QuadrusMotorCompany.Web.Models.Vehicle;

    using Img = System.Drawing.Image;

    public class VehicleController : Controller
    {
        private readonly IQueryBus _queryBus;
        private readonly IMapper _mapper;

        public VehicleController(IQueryBus queryBus, IMapper mapper)
        {
            _queryBus = queryBus;
            _mapper = mapper;
        }

        [ChildActionOnly]
        public ActionResult Index()
        {
            var vehicles = _queryBus.Query(new VehicleQuery());
            var models = _mapper.Map<IList<VehicleIndexModel>>(vehicles);

            return PartialView("_Index", models);
        }

        [Route("~/vehicle/{make}/{model}")]
        public ActionResult Details(string make, string model)
        {
            var vehicle = _queryBus.Query(new VehicleDetailsQuery(make.Replace("_", " "), model.Replace("_", " ")));

            var viewModel = _mapper.Map<VehicleDetailsModel>(vehicle);
            return View(viewModel);
        }

        [Route("~/vehicle/{id}/image")]
        public ActionResult Image(int id, int? width, int? height)
        {
            var vehicleImage = _queryBus.Query(new VehicleImageQuery(id));

            var root = Server.MapPath(ConfigurationManager.AppSettings["VehicleImagePathRoot"]);
            var path = Path.Combine(root, vehicleImage);

            var vehcileImage = Img.FromFile(path);
            if (width.HasValue && height.HasValue)
            {
                vehcileImage = ScaleImage(vehcileImage, width.Value, height.Value);
            }
            
            var byteArray = ConvertToByteArray(vehcileImage);

            return File(byteArray, "image/png");
        }

        private static Img ScaleImage(Img image, int maxWidth, int maxHeight)
        {
            var ratioX = (double)maxWidth / image.Width;
            var ratioY = (double)maxHeight / image.Height;
            var ratio = Math.Min(ratioX, ratioY);

            var newWidth = (int)(image.Width * ratio);
            var newHeight = (int)(image.Height * ratio);

            var newImage = new Bitmap(newWidth, newHeight);

            using (var graphics = Graphics.FromImage(newImage))
            {
                graphics.DrawImage(image, 0, 0, newWidth, newHeight);
            }

            return newImage;
        }

        private static byte[] ConvertToByteArray(Img image)
        {
            byte[] bytes;

            using (var stream = new MemoryStream())
            {
                image.Save(stream, ImageFormat.Png);
                bytes = stream.ToArray();
            }

            return bytes;
        }
    }
}

src/QuadrusMotorCompany.Web/Views/Shared/_Layout.cshtml
<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="">
 <!--<![endif]-->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>@(ViewBag.Title ?? "Quadrus Motor Company")</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    
    <style>
        body {
            padding-top: 70px;
            padding-bottom: 20px;
        }
    </style>

    @Styles.Render("~/content/css")
    <script src="//cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js"></script>
</head>
<body>
    <!--[if lt IE 8]>
        <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
    <![endif]-->
    
    @Html.Partial("_MainNavigation")
    <div class="container body-content">
        @RenderBody()

        <hr />
        <footer>
            <p>&copy; Quadrus Motor Company</p>
        </footer>
    </div>
    
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/vendor/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    @RenderSection("Scripts", false)
</body>
</html>

src/QuadrusMotorCompany.Web/Views/Shared/_Logo.cshtml
@model QuadrusMotorCompany.Web.Models.LogoModel

<svg version="1.1" id="Layer_1" xmlns="&ns_svg;" xmlns:xlink="&ns_xlink;" width="@Model.Width" height="@Model.Height"
     viewBox="0 0 559.304 150.954" overflow="visible" enable-background="new 0 0 559.304 150.954" xml:space="preserve">
<path fill-rule="evenodd" clip-rule="evenodd" fill="#0094D3" d="M159.184,101.657c0.08-0.508-0.068-1.03-0.403-1.418l-0.998-1.154
	c-3.026-3.372-6.275-6.342-9.654-8.83c-0.608-0.445-1.434-0.457-2.052-0.023c-16.532,11.613-36.536,22.667-57.851,31.977
	c-30.749,13.425-61.515,22.11-86.633,24.452C0.706,146.745,0.02,147.481,0,148.37c-0.023,0.891,0.628,1.657,1.512,1.781
	c26.514,3.727,69.843-5.687,113.078-24.566c15.587-6.807,30.316-14.443,43.779-22.704
	C158.808,102.613,159.104,102.166,159.184,101.657z M217.141,38.473c0-2.484-0.464-4.816-1.407-6.982
	c-5.007-11.47-22.554-16.408-49.407-13.906c-0.887,0.083-1.572,0.817-1.592,1.706c-0.023,0.892,0.628,1.658,1.511,1.78
	c11.3,1.59,18.671,5.625,21.311,11.668c5.037,11.538-6.723,29.754-31.578,49.263c-7.833-4.25-15.17-5.57-19.826-2.937
	c-3.544,2.003-5.045,6.09-4.228,11.502c0.069,0.453,0.473,0.776,0.93,0.745c0.456-0.029,0.813-0.406,0.818-0.865
	c0.036-2.622,0.957-4.461,2.736-5.47c5.635-3.185,17.353,2.724,27.256,13.754c7.725,8.604,12.368,17.733,11.556,22.712
	c-0.24,1.458-0.92,2.488-2.08,3.146c-4.892,2.765-16.187-1.859-25.715-10.536c-0.351-0.319-0.891-0.305-1.222,0.036
	c-0.165,0.171-0.248,0.39-0.248,0.615c0,0.218,0.081,0.437,0.245,0.606c0.014,0.014,0.028,0.027,0.042,0.042h0.001
	c12.703,13.19,28.114,19.833,35.863,15.45c2.324-1.313,3.803-3.551,4.282-6.474c1.187-7.256-3.633-17.954-12.579-27.916
	c-0.853-0.945-1.72-1.859-2.599-2.75C200.489,73.491,217.141,53.349,217.141,38.473z" />
<path fill="#00447C" d="M190.488,0.192C166.191-1.62,127.411,9.497,89.281,29.197C30.333,59.662-7.571,99.536,2.99,119.971
	c5.258,10.175,21.526,13.644,45.813,9.771c0.88-0.14,1.515-0.916,1.477-1.81c-0.036-0.888-0.736-1.609-1.625-1.678
	c-10.288-0.764-17.166-3.959-19.894-9.234c-9.334-18.065,29.492-57.465,84.783-86.039c27.087-13.999,54.467-23.697,77.088-27.304
	c0.883-0.14,1.518-0.92,1.48-1.808C192.075,0.978,191.378,0.257,190.488,0.192z M277.423,78.252c-3.737,0-9.888,1.089-14.562,2.584
	l-2.537,9.356c4.467-2.551,10.581-4.389,16.135-4.389c6.966,0,11.56,2.856,10.911,10.296c-0.108,1.225-0.508,2.348-0.798,3.36
	c-2.313-0.098-4.821-0.301-6.841-0.301c-17.261,0-30.769,4.117-32.044,18.739c-0.844,9.646,6.474,14.121,15.138,14.121
	c6.865,0,13.839-3.581,17.604-9.679h0.203l-2.454,8.432h8.757c2.084-9.07,5.013-18.578,7.745-28.097
	c0.711-2.411,1.404-5.757,1.604-8.102C297.366,82.225,287.821,78.252,277.423,78.252z M265.608,124.46
	c-4.544,0-8.271-2.422-7.873-6.967c0.823-9.387,11.791-11.308,18.96-11.308h7.27C282.094,114.872,275.196,124.46,265.608,124.46z
	 M240.088,79.481l-7.687,25.826c-1.87,6.445-8.709,19.153-20.366,19.153c-5.828,0-8.992-4.032-8.523-9.379
	c0.096-1.109,0.474-3.126,0.925-4.837l9.023-30.762h-9.451l-8.006,27.13c-0.858,2.923-1.763,6.353-2.028,9.38
	c-0.949,10.856,5.741,16.027,15.691,16.027c8.945,0,14.863-4.475,18.298-9.271h0.199l-2.309,8.024h8.843
	c0.666-3.033,1.51-5.763,2.097-7.875l12.743-43.415H240.088z M489.974,130.373v-0.069c0.926-0.274,1.674-0.956,1.674-2.082
	c0-0.817-0.271-1.4-0.783-1.775c-0.513-0.374-1.367-0.648-2.663-0.648c-1.022,0-1.71,0.103-2.425,0.205v8.566h1.363v-3.685h0.957
	c1.095,0,1.643,0.412,1.846,1.499c0.169,1.13,0.376,1.914,0.581,2.186h1.43c-0.132-0.272-0.343-0.786-0.544-2.115
	C491.242,131.188,490.728,130.511,489.974,130.373z M488.132,129.826h-0.992v-2.901c0.242-0.034,0.549-0.069,0.992-0.069
	c1.536,0,2.084,0.752,2.084,1.503C490.216,129.416,489.259,129.826,488.132,129.826z M488.606,122.417h-0.031
	c-4.197,0-7.613,3.416-7.613,7.68c0,4.337,3.416,7.715,7.613,7.715c4.232,0,7.579-3.378,7.579-7.715
	C496.154,125.833,492.808,122.417,488.606,122.417z M488.606,136.621c-3.411,0-6.177-2.87-6.177-6.523
	c0-3.583,2.766-6.484,6.146-6.484h0.031c3.418,0,6.149,2.901,6.149,6.52C494.756,133.751,492.024,136.652,488.606,136.621z
	 M463.003,92.077c0.455-5.156,5.935-6.273,10.031-6.273c3.506,0,7.501,1.318,9.996,2.634l3.461-7.402
	c-4.075-1.694-8.588-2.783-13.097-2.783c-8.385,0-19.561,4.173-20.51,15.042c-1.143,13.055,16.134,14.369,15.365,23.173
	c-0.514,5.868-6.281,7.993-11.387,7.993c-4.103,0-7.893-1.416-11.473-2.935l-2.52,8.107c3.707,1.29,6.622,2.385,14.735,2.385
	c7.984,0,19.645-3.979,20.732-16.36C479.594,101.289,462.234,100.883,463.003,92.077z M439.269,79.481l-7.688,25.826
	c-1.869,6.445-8.71,19.153-20.366,19.153c-5.83,0-8.994-4.032-8.527-9.379c0.095-1.109,0.474-3.126,0.928-4.837l9.021-30.762h-9.448
	l-8.007,27.13c-0.86,2.923-1.765,6.353-2.029,9.38c-0.949,10.856,5.74,16.027,15.69,16.027c8.944,0,14.863-4.475,18.301-9.271h0.198
	l-2.312,8.024h8.848c0.667-3.033,1.509-5.763,2.094-7.875l12.743-43.415H439.269z M396.773,79.13
	c-1.753-0.67-3.343-0.873-4.247-0.873c-8.944,0-14.867,4.522-18.304,9.35h-0.203l2.324-8.127h-8.848
	c-0.666,3.012-1.507,5.722-2.092,7.829l-12.754,43.475h9.437l7.524-25.259c1.893-6.366,8.728-19.025,20.386-19.025
	c0.703,0,2.187,0.3,3.93,1.003L396.773,79.13z M356.226,55.41l-9.572,32.413h-0.199c-2.342-6.588-8.71-9.57-15.646-9.57
	c-17.486,0-27.899,16.019-29.311,32.145c-1.037,11.854,4.72,21.621,17.056,21.621c7.729,0,14.145-2.186,18.247-8.964H337
	c-1.022,2.46-1.671,5.291-2.386,7.717h8.842c1.199-5.659,2.694-11.294,4.404-17.022l17.808-58.339H356.226z M342.141,99.871
	c-0.851,9.717-7.571,24.589-19.413,24.589c-8.631,0-11.879-6.476-11.16-14.672c0.851-9.712,7.922-23.985,19.059-23.985
	C338.857,85.803,342.814,92.181,342.141,99.871z" />
<g>
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M511.545,0.222c0.548,0,1.098,0,1.641,0
		c1.653,0.654,2.89,1.459,3.29,3.169c0.403,1.745-0.482,3.871-1.058,5.515c-3.757,10.758-8.133,22.88-11.733,32.624
		c1.3-10.784,2.474-23.191,3.986-34.268C508.179,3.564,508.368,0.994,511.545,0.222z" />
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M500.278,42.349c-4.002-8.617-8.759-18.255-12.788-27.459
		c-0.532-1.217-1.395-2.903-1.529-4.107c-0.531-4.869,5.754-6.399,7.863-2.933c0.593,0.967,0.769,2.622,1.058,4.105
		C496.82,21.797,498.603,32.729,500.278,42.349z" />
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M496.761,44.342c-7.407-4.046-15.942-8.352-23.707-12.673
		c-1.895-1.058-3.884-1.811-4.106-4.341c-0.271-3.193,2.716-5.616,5.87-4.459c0.932,0.343,2.189,1.647,3.051,2.464
		c6.068,5.759,11.987,11.751,17.953,17.717c0.278,0.28,0.833,0.668,1.058,1.06C496.97,44.273,497.009,44.332,496.761,44.342z" />
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M496.641,48.333c-0.364,0.408-1.044,0.382-1.526,0.469
		c-5.685,1.028-11.664,2.051-17.715,3.051c-3.914,0.648-8.493,1.796-9.86-1.643c-1.239-3.125,1.062-6.025,3.876-6.1
		c0.978-0.03,2.196,0.295,3.284,0.467C482.081,45.739,489.321,47.094,496.641,48.333z" />
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M501.802,53.261c0.105-0.022,0.116,0.045,0.124,0.116
		c1.282,4.071,2.6,8.19,3.752,12.791c0.364,1.452,0.886,3.232,0.469,4.696c-1.067,3.773-7.374,3.445-7.978-0.587
		c-0.2-1.326,0.271-3.055,0.589-4.576C499.613,61.577,500.982,57.019,501.802,53.261z" />
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M559.304,24.98c0,0.666,0,1.332,0,1.995
		c-0.689,2.592-2.669,2.966-5.164,3.873c-14.671,5.337-30.602,10.628-45.295,15.724c12.872-7.227,27.065-15.03,40.601-22.413
		c1.763-0.959,4.106-2.793,6.573-2.348C557.71,22.118,558.601,23.454,559.304,24.98z" />
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M506.852,43.523c7.54-10.664,14.896-21.576,22.764-32.392
		c1.085-1.489,2.224-3.642,3.52-4.341c3.453-1.855,7.333,1.265,6.104,5.165c-0.48,1.504-2.354,3.057-3.636,4.341
		c-9.2,9.199-19.514,18.292-28.517,27.227c-0.104,0.049-0.211,0.102-0.234,0.232C506.681,43.704,506.861,43.651,506.852,43.523z" />
<path fill-rule="evenodd" clip-rule="evenodd" fill="#00447C" d="M498.403,51.853c0.135,0.021,0.063,0.118,0,0.118
		c-3.023,4.55-6.375,9.574-9.739,14.197c-0.964,1.324-2.403,3.63-3.757,4.225c-3.616,1.591-7.151-2.015-5.869-5.515
		c0.539-1.472,2.681-2.742,4.227-3.754C488.195,57.891,493.793,54.864,498.403,51.853z" />
</g>
</svg>

src/QuadrusMotorCompany.Web/Views/Shared/_Lorem.cshtml
<p>
    Bacon ipsum dolor amet chicken boudin burgdoggen strip steak consectetur nostrud sirloin brisket magna aliquip lorem consequat tongue. Incididunt swine corned beef, strip steak rump leberkas pariatur deserunt qui meatloaf brisket sunt capicola est. Tail rump exercitation consequat, spare ribs jerky shoulder velit beef. Filet mignon magna ut brisket exercitation ut. Exercitation id dolore picanha ball tip ham pork chop. Prosciutto irure frankfurter, hamburger veniam reprehenderit adipisicing et enim biltong eiusmod tenderloin chuck voluptate sunt.
</p>
<p>
    In boudin aliqua, laboris in shank turkey jowl aliquip eu doner sausage biltong labore jerky. Do cow pork loin magna, drumstick voluptate capicola meatloaf flank biltong. Tri-tip ground round salami, ball tip sed tongue t-bone nisi aute drumstick strip steak anim shoulder sunt. Swine pig laborum ham hock enim duis pork nulla non biltong meatloaf.
</p>
<p>
    Salami rump laboris pork belly in shankle labore hamburger duis ut anim. Pork belly hamburger adipisicing nisi. Ex meatball jowl, eiusmod leberkas reprehenderit flank commodo strip steak est lorem meatloaf capicola laborum. Anim beef ribs chicken, duis esse ex sunt pork belly in. Rump in duis pork belly, id tail venison dolor pork shankle aute dolore ad. Short ribs kevin fugiat flank proident laboris magna turkey filet mignon pork cillum enim dolor. Fugiat ham hock bresaola in swine ut.
</p>

src/QuadrusMotorCompany.Web/Views/Shared/_MainNavigation.cshtml
<nav class="navbar navbar-default navbar-fixed-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="/">
                @{ Html.RenderAction("Logo", "Home", new {width = 148, height = 50 }); }
            </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
                <li><a href="@Url.Action("Index", "Gallery")">Gallery</a></li>
                @if (User.Identity.IsAuthenticated)
                {
                    <li><a href="@Url.Action("Manage", "Inventory")">Inventory</a></li>
                }
            </ul>
            
            @Html.Partial("_LoginPartial")
        </div>
    </div>
</nav>

src/QuadrusMotorCompany.Web/Views/Shared/_Vehicle.cshtml
@model QuadrusMotorCompany.Web.Models.Gallery.VehicleIndexModel

<a href="@Url.Action("Details", "Vehicle", new { make = Model.Make.Replace(" ", "_").ToLower(), model = Model.Model.Replace(" ", "_").ToLower()})">
    <div class="col-lg-3 vehicle">
        <div class="product-image">
            <div class="mask">
                <img src="@Url.Action("Image", "Vehicle", new { id = Model.Id, width = 220, height = 294 })" />
            </div>
        </div>
        <div class="product-container">
            <h4>@Model.Make</h4>
            <p>@Model.Model</p>
            <div class="price">@Model.Price.ToString("C")</div>
        </div>
    </div>
</a>